System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object System.Collections.IEnumerable

The class represents key information in XML digital signing and encryption.

The class enables you to imbed key-related information intended to help identify the key necessary for validating or decrypting the XML document. Multiple types of key-related information can be included within a single ; each type of key-related information has an associated class derived from .

For more information about the <KeyInfo> element, see the XMLDSIG specification, which is available from the W3C at www.w3.org/TR/xmldsig-core/, or see the XML encryption specification, which is available from the W3C at www.w3.org/TR/xmlenc-core/.

Represents an XML digital signature or XML encryption <KeyInfo> element.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds a that represents a particular type of information to the object.

  The to add to the object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 a To be added

  Gets the number of objects contained in the object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  Two enumerators taken from the same collection at the same time are not necessarily required to return the same iteration.

  Initially, the enumerator must be positioned before the first element of the collection and must be advanced by the caller of the implementation before use.

  Returns an enumerator of the objects in the object.

  An enumerator of the subelements of that can be used to iterate through the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator ``

  Two enumerators taken from the same collection at the same time are not necessarily required to return the same iteration.

  Initially, the enumerator must be positioned before the first element of the collection and must be advanced by the caller of the implementation before use.

  Returns an enumerator of the objects of the specified type in the object.

  An enumerator of the subelements of that can be used to iterate through the collection.

  The type of object to enumerate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement To be added

  Returns the XML representation of the object.

  The XML representation of the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a To be added

  Gets or sets the key information identity.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Loads a state from an XML element.

  The XML element from which to load the state.